<div class="blue-circle"></div>

<ion-header no-border>
  <ion-navbar transparent>
    <ion-title>Launchpad details</ion-title>
  </ion-navbar>
</ion-header>

<ion-content parallax-header no-bounce>
  <div class="header-image">
    <div *ngIf="launchpad" class="launchpad_map" id="map_details_{{ launchpad.id }}"></div>
  </div>

  <div class="main-content">
    <div *ngIf="launchpad">
      <ion-card-content>
        <ion-card-title class="theme-title">
          {{ launchpad.full_name }}
          <ion-note><ion-icon *ngIf="launchpad.status == 'active'" name="square" class="color-green"></ion-icon></ion-note>
          <ion-note><ion-icon *ngIf="launchpad.status != 'active'" name="square"></ion-icon></ion-note>

          <div class="theme-subtitle">
            {{ launchpad.location.name }}, {{ launchpad.location.region }}
          </div>
        </ion-card-title>

        <p>{{ launchpad.details }}</p>
      </ion-card-content>

      <ion-grid class="border-top-grey">
        <ion-row>
          <ion-col text-center>
            <div class="font-bold">Vehicles launched</div>
            <div class="vehicles col-value" *ngFor="let vehicle of launchpad.vehicles_launched">{{ vehicle }}</div>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ion-grid class="border-top-grey">
        <ion-row>
          <ion-col text-center>
            <div class="font-bold">Latitude</div>
            <div class="col-value">{{ launchpad.location.latitude }}</div>
          </ion-col>
          <ion-col text-center>
            <div class="font-bold">Longitude</div>
            <div class="col-value">{{ launchpad.location.longitude }}</div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
  </div>
</ion-content>
